Subject: bug#44783: 28.0.50; wish for eww: include gopher and gemini links

From: Jean Louis <[email-masked]>
Date: Tue, 24 Nov 2020 12:10:22 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-11-24 12:05]:
> Jean Louis <[email-masked]> writes:
> 
> > Do you think I could then also use goto-address-mode where hyperlinks
> > appear and that I can customize it to open up any kinds of URI
> > hyperlinks?
> 
> If goto-address-mode calls browse-url, yes.

C-c RET (translated from C-c <return>) runs the command
goto-address-at-point (found in goto-address-highlight-keymap), which
is an autoloaded interactive compiled Lisp function in ‘goto-addr.el’.

It is bound to <mouse-2>, C-c RET.

(goto-address-at-point &optional EVENT)

Send to the e-mail address or load the URL at point.
Send mail to address at point.  See documentation for
‘goto-address-find-address-at-point’.  If no address is found
there, then load the URL at or before point.

Then I see:

;;;###autoload
(defun goto-address-at-point (&optional event)
  "Send to the e-mail address or load the URL at point.
Send mail to address at point.  See documentation for
`goto-address-find-address-at-point'.  If no address is found
there, then load the URL at or before point."
  (interactive (list last-input-event))
  (save-excursion
    (if event (posn-set-point (event-end event)))
    (let ((address (save-excursion (goto-address-find-address-at-point))))
      (if (and address
	       (save-excursion
		 (goto-char (previous-single-char-property-change
			     (point) 'goto-address nil
			     (line-beginning-position)))
		 (not (looking-at goto-address-url-regexp))))
	  (compose-mail address)
	(let ((url (browse-url-url-at-point)))
	  (if url
	      (browse-url url)
	    (error "No e-mail address or URL found")))))))

Do you think that this above need not be changed and that I can still
update to follow any type of hyperlink with the new change?